package com.trade.service.trade.exportrebate.dto.search;

import com.trade.common.core.page.PageDomain;

/**
 * 出口退税明细汇总查询条件
 */
public class TaxRebateSummarySearchDto extends PageDomain {

    /**
     * 申报年月(所属期）开始（yyyyMM）
     */
    private String declarationMonthYearStart;
    /**
     * 申报年月(所属期）结束（yyyyMM）
     */
    private String declarationMonthYearEnd;
    /**
     * 申报批次
     */
    private String declarationBatch;
    /**
     * 代理公司统一社会信用代码/注册号
     */
    private String agencyCertNo;
    /**
     * 代理公司名称
     */
    private String agencyName;
    /**
     * 退税状态，枚举rebate_process_status
     */
    private String status;

    public String getDeclarationMonthYearStart() {
        return declarationMonthYearStart;
    }

    public void setDeclarationMonthYearStart(String declarationMonthYearStart) {
        this.declarationMonthYearStart = declarationMonthYearStart;
    }

    public String getDeclarationMonthYearEnd() {
        return declarationMonthYearEnd;
    }

    public void setDeclarationMonthYearEnd(String declarationMonthYearEnd) {
        this.declarationMonthYearEnd = declarationMonthYearEnd;
    }

    public String getDeclarationBatch() {
        return declarationBatch;
    }

    public void setDeclarationBatch(String declarationBatch) {
        this.declarationBatch = declarationBatch;
    }

    public String getAgencyCertNo() {
        return agencyCertNo;
    }

    public void setAgencyCertNo(String agencyCertNo) {
        this.agencyCertNo = agencyCertNo;
    }

    public String getAgencyName() {
        return agencyName;
    }

    public void setAgencyName(String agencyName) {
        this.agencyName = agencyName;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
